%define name	AlephOne
%define version 0.12.0
%define release 6mdk

Summary:	3D first-person shooter game
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Arcade
Source0:	aleph-05092001.tar.bz2
Source1:	%{name}-icons.tar.bz2
URL:		http://sourceforge.net/projects/marathon/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libSDL-devel
BuildRequires: libMesaGLU-devel

%description
Aleph One is an Open Source 3D first-person shooter game, based on the game
Marathon 2 by Bungie Software. It supports OpenGL, but doesn't require, for
rendering.

This package requires additional data -- shape, sound, and map information
-- in order to be installed. One source of this core data is the
AlephOne-minf-demo package.

%prep

%setup -q -n aleph

%build
./autogen.sh
%configure	--bindir=%_gamesbindir \
		--datadir=%_datadir/games \
		--enable-opengl
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# %makeinstall
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="%_gamesbindir/alephone"\
title="Alephone"\
longtitle="First person shooter game"\
needs="x11"\
icon="%{name}.png"\
section="Amusement/Arcade"
EOF
)
install -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
tar -xOjf %{SOURCE1} icons/16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

rm -fr $RPM_BUILD_ROOT/%_bindir/
rm -fr $RPM_BUILD_ROOT/%_datadir/%name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL.Unix README docs/MML.html docs/Cheat_Codes
%{_gamesbindir}/alephone
%{_datadir}/games/%{name}/Fonts
%dir %{_datadir}/games/%{name}
%dir %{_datadir}/games/%{name}/MML
%{_datadir}/games/%{name}/MML/*.mml
%dir %{_datadir}/games/%{name}/Themes
%dir %{_datadir}/games/%{name}/Themes/Default
%{_datadir}/games/%{name}/Themes/Default/*.bmp
%{_datadir}/games/%{name}/Themes/Default/resources
%{_datadir}/games/%{name}/Themes/Default/theme.mml
%{_menudir}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu May 01 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.12.0-6mdk
- distlint error
- buildrequires (stefan spam ;)

* Fri Nov 22 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.12.0-5mdk
- don't %%makeinstall, unusefull
- fix unpackaged files

* Tue Nov 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.12.0-4mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- Removed obsolete Prefix tag
	- Cleanups
	- Added icons
	- Moved stuff to correct places

* Mon Sep 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.12.0-3mdk
- rebuild

* Sat Aug 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.12.0-2mdk
- Rebuild with latest gcc3.2

* Sat Nov 10 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.12.0-1mdk
- rebuild with latest libpng

* Wed Sep 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.12.0-0.1mdk
- updates to cvs version since official tarball is missing some files
- 05092001

* Fri Mar 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.11.1-1mdk
- New release version 0.11.1.
- Update source URL
- Clean spec a bit

* Mon Jan 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.10.6-2mdk
- menu entry
- clean spec

* Fri Dec 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.10.6-1mdk
- new in contribs

* Thu Oct  5 2000 Christian Bauer <Christian.Bauer@uni-mainz.de>
- Added docs and theme data files
- Package name and version are set by configure script

* Fri Sep 30 2000 Tom Moertel <tom-rpms-alephone@moertel.com>
- Added a requirement to the base package for AlephOne-core-data
- Split out the Marathon Infinity Demo data into its own package

* Thu Sep 29 2000 Tom Moertel <tom-rpms-alephone@moertel.com>
- Added patch for SDL 1.1.5 SDL_SetClipping incompatability.

* Sat Sep 23 2000 Tom Moertel <tom-rpms-alephone@moertel.com>
- Added Marathon Infinity Demo data to package.
